## modemmanager-1.22.0-r110.tar

=== meson_options.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright (C) 2021 Iñigo Martinez <inigomartinez@gmail.com>

option('udev', type: 'boolean', value: true, description: 'enable udev support')
option('udevdir', type: 'string', value: '', description: 'udev base directory')

option('examples', type: 'boolean', value: true, description: 'install examples')
option('tests', type: 'boolean', value: true, description: 'enable tests')

option('dbus_policy_dir', type: 'string', value: '', description: 'd-bus system policy directory')

option('systemdsystemunitdir', type: 'string', value: '', description: 'systemd system units directory')
option('systemd_suspend_resume', type: 'boolean', value: true, description: 'enable suspend/resume support with systemd')
option('powerd_suspend_resume', type: 'boolean', value: false, description: 'enable suspend/resume support with powerd')
option('systemd_journal', type: 'boolean', value: true, description: 'enable systemd journal support')

option('polkit', type: 'combo', choices: ['strict', 'permissive', 'no'], value: 'strict', description: 'User auth-polkit configuration option.')

option('at_command_via_dbus', type: 'boolean', value: false, description: 'enable at commands via d-bus')

option('builtin_plugins', type: 'boolean', value: false, description: 'integrate all built plugins within the daemon binary')

option('mbim', type: 'boolean', value: true, description: 'enable MBIM support')
option('qmi', type: 'boolean', value: true, description: 'enable QMI support')
option('qrtr', type: 'boolean', value: true, description: 'enable QRTR support')

option('dist_version', type: 'string', value: '', description: 'define the custom version (like distribution package name and revision')

option('plugin_generic', type: 'feature', value: 'auto', description: 'enable generic plugin support')
option('plugin_altair_lte', type: 'feature', value: 'auto', description: 'enable altair lte plugin support')
option('plugin_anydata', type: 'feature', value: 'auto', description: 'enable anydata plugin support')
option('plugin_broadmobi', type: 'feature', value: 'auto', description: 'enable broadmobi plugin support')

# shared_cinterion
option('plugin_cinterion', type: 'feature', value: 'auto', description: 'enable cinterion plugin support')
option('plugin_cinterion_els31', type: 'feature', value: 'auto', description: 'enable cinterion els31 plugin support')
option('plugin_cinterion_ems31', type: 'feature', value: 'auto', description: 'enable cinterion ems31 plugin support')

# shared_sierra, shared_novatel, shared_xmm, shared_telit, shared_foxonn
option('plugin_dell', type: 'feature', value: 'auto', description: 'enable dell plugin support')

option('plugin_dlink', type: 'feature', value: 'auto', description: 'enable dlink plugin support')

# shared_xmm
option('plugin_fibocom', type: 'feature', value: 'auto', description: 'enable fibocom plugin support')

# shared_foxconn
option('plugin_foxconn', type: 'feature', value: 'auto', description: 'enable foxconn plugin support')
option('plugin_gosuncn', type: 'feature', value: 'auto', description: 'enable gosuncn plugin support')
option('plugin_haier', type: 'feature', value: 'auto', description: 'enable haier plugin support')
option('plugin_huawei', type: 'feature', value: 'auto', description: 'enable huawei plugin support')
option('plugin_intel', type: 'feature', value: 'auto', description: 'enable intel plugin support')
option('plugin_iridium', type: 'feature', value: 'auto', description: 'enable iridium plugin support')
option('plugin_linktop', type: 'feature', value: 'auto', description: 'enable linktop plugin support')
option('plugin_longcheer', type: 'feature', value: 'auto', description: 'enable longcheer plugin support')
option('plugin_mbm', type: 'feature', value: 'auto', description: 'enable mbm plugin support')
option('plugin_motorola', type: 'feature', value: 'auto', description: 'enable motorola plugin support')
option('plugin_mtk', type: 'feature', value: 'auto', description: 'enable mtk plugin support')
option('plugin_nokia', type: 'feature', value: 'auto', description: 'enable nokia plugin support')

# shared_icera
option('plugin_nokia_icera', type: 'feature', value: 'auto', description: 'enable nokia icera plugin support')

# shared_novatel
option('plugin_novatel', type: 'feature', value: 'auto', description: 'enable novatel plugin support')
option('plugin_novatel_lte', type: 'feature', value: 'auto', description: 'enable novatel lte plugin support')

# shared_option
option('plugin_option', type: 'feature', value: 'auto', description: 'enable option plugin support')

# shared_option
option('plugin_option_hso', type: 'feature', value: 'auto', description: 'enable option hso plugin support')
option('plugin_pantech', type: 'feature', value: 'auto', description: 'enable pantech plugin support')

option('plugin_qcom_soc', type: 'feature', value: 'auto', description: 'enable qcom soc plugin support')

# shared_quectel
option('plugin_quectel', type: 'feature', value: 'auto', description: 'enable quectel plugin support')
option('plugin_quectel_ec25', type: 'feature', value: 'auto', description: 'enable quectel ec25 plugin support')

# shared_icera
option('plugin_samsung', type: 'feature', value: 'auto', description: 'enable samsung plugin support')

# shared_icera, shared_sierra
option('plugin_sierra_legacy', type: 'feature', value: 'auto', description: 'enable sierra legacy plugin support')

# shared_xmm
option('plugin_sierra', type: 'feature', value: 'auto', description: 'enable sierra plugin support')
option('plugin_simtech', type: 'feature', value: 'auto', description: 'enable simtech plugin support')
option('plugin_simtech_sim7672', type: 'feature', value: 'auto', description: 'enable simtech sim7672 plugin support')

# shared_telit
option('plugin_telit', type: 'feature', value: 'auto', description: 'enable telit plugin support')
option('plugin_thuraya', type: 'feature', value: 'auto', description: 'enable thuraya plugin support')
option('plugin_tplink', type: 'feature', value: 'auto', description: 'enable tplink plugin support')
option('plugin_ublox', type: 'feature', value: 'auto', description: 'enable ublox plugin support')
option('plugin_via', type: 'feature', value: 'auto', description: 'enable via plugin support')
option('plugin_wavecom', type: 'feature', value: 'auto', description: 'enable wavecom plugin support')
option('plugin_x22x', type: 'feature', value: 'auto', description: 'enable x22x plugin support')

# shared_icera
option('plugin_zte', type: 'feature', value: 'auto', description: 'enable zte plugin support')

option('introspection', type: 'boolean', value: true, description: 'build introspection support')
option('vapi', type: 'boolean', value: false, description: 'build vala bindings')

option('man', type: 'boolean', value: true, description: 'build manual pages')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')

option('bash_completion', type: 'boolean', value: true, description: 'install bash completion files')

option('fuzzer', type: 'boolean', value: false, description: 'build fuzzer tests')

=== APKBUILD ===
# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
pkgname=modemmanager
pkgver=1.22.0
pkgrel=110
pkgdesc="ModemManager library without polkit"
url="https://www.freedesktop.org/wiki/Software/ModemManager"
arch="all !mips !mips64 !s390x !riscv64" # limited by polkit
license="GPL-2.0-or-later AND LGPL-2.1-or-later"
depends="dbus libmm-glib=$pkgver-r$pkgrel"
depends_dev="libmm-glib=$pkgver-r$pkgrel"
makedepends="
	$depends_dev
	bash-completion-dev
	dbus-dev
	elogind-dev
	gobject-introspection-dev
	gtk-doc
	libgudev-dev
	libmbim-dev
	libqmi-dev
	linux-headers
	meson
	vala
	"
checkdepends="glib-dev py3-gobject3 py3-dbus"
options="!check" # https://bugs.freedesktop.org/show_bug.cgi?id=101197
subpackages="
	$pkgname-lang
	$pkgname-doc
	libmm-glib:libmm
	$pkgname-dev
	$pkgname-openrc
	$pkgname-bash-completion
	"
source="modemmanager-1.22.0-r110.tar.gz
modemmanager.rules
modemmanager.initd"
builddir="$srcdir"/modemmanager-$pkgver-r$pkgrel

build() {
	abuild-meson \
		-Db_lto=true \
		-Dsystemdsystemunitdir=no \
		-Ddbus_policy_dir=/usr/share/dbus-1/system.d \
		-Dgtk_doc=false \
		-Dsystemd_journal=false \
		-Dsystemd_suspend_resume=true \
		-Dvapi=true \
		-Dpolkit=no \
		. output
	meson compile -C output
}

check() {
	meson test --no-rebuild -C output
}

package() {
	DESTDIR="$pkgdir" meson install --no-rebuild -C output
	rm -rf "$pkgdir"/usr/share/dbus-1/system-services #systemd-service
	install -m755 -D "$srcdir/$pkgname.initd" \
		"$pkgdir/etc/init.d/$pkgname"

	# post-install message
	mkdir -p "$pkgdir/usr/share/doc/$pkgname"
	cat > "$pkgdir"/usr/share/doc/$pkgname/README.alpine <<- EOF
	If your USB modem shows up as a Flash drive when you plug it in:

	install 'usb-modeswitch' to automatically switch to USB modem mode whenever you plug it in.
	To control your modem without the root password: add your user account to the 'plugdev' group.
	EOF
}

libmm() {
	depends=""
	amove usr/lib/girepository-1.0
	amove usr/lib/libmm-glib.so*
}

sha512sums="
4e4ce724ec174d6ed29aacf75b6b7411ba7b5de0b332fe3e4577ba576bdb7fd3b4b382ec290dec676a86dab8d43094ad81a09a7289b0397ca6b2ef3f2bd8c01e  modemmanager-1.22.0-r110.tar.gz
6fab86c27502b29be0c6610d835a3249a4a81993eb986cff2c3ea9393fadd3f693ba4bb0532ae0e50a83d359559511859dd05f7ea2f0cb52839f535a7e49f8a0  modemmanager.rules
f86f293f584186ff8d112b6969bd1ce00f307e4ae12cc296637e3402502056f8d7741ad34ecac35161cffbd9d874cff679e9169f25656ef409b24d3f34c109b3  modemmanager.initd
"
